WPS8GraphInternal::Border Struct Reference

Internal: a complex border picture. More...

## Public Member Functions

| Border ()
| constructor More...

## Public Attributes

std::string | m_name
| Internal: the border name. More...
int | m_borderSize [3]
| three value to stored the border's sizes More...
int | m_borderId [8]
| the picture uses to draw TopLeft corner, Top border, TopRight corner, Right border... More...
std::vector< Pict > | m_pictList
| the border's pictures: 1 to 8 pictures.. More...
bool | m_parsed
| flag to know if the border was sent to the listener More...

## Detailed Description

Internal: a complex border picture.

It consists in series of at most 8 pictures which forms the border

## Constructor & Destructor Documentation

WPS8GraphInternal::Border::Border | ( |  | ) |

inline

constructor

## Member Data Documentation

int WPS8GraphInternal::Border::m_borderId[8]

the picture uses to draw TopLeft corner, Top border, TopRight corner, Right border...

Referenced by Border().

int WPS8GraphInternal::Border::m_borderSize[3]

three value to stored the border's sizes

Checkme: corner size, following by horizontal, vertical size in points?

Referenced by Border().

std::string WPS8GraphInternal::Border::m_name

Internal: the border name.

bool WPS8GraphInternal::Border::m_parsed

flag to know if the border was sent to the listener

std::vector<Pict> WPS8GraphInternal::Border::m_pictList

the border's pictures: 1 to 8 pictures..

The documentation for this struct was generated from the following file:

- WPS8Graph.cpp